
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.CgRjzzqEntity;
import org.sky.scientific.pojo.vo.CgRjzzqVO;
import java.util.Objects;

/**
 * 科研成果-软件著作 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class CgRjzzqWrapper extends BaseEntityWrapper<CgRjzzqEntity, CgRjzzqVO> {

	public static CgRjzzqWrapper build() {
		return new CgRjzzqWrapper();
 	}

	@Override
	public CgRjzzqVO entityVO(CgRjzzqEntity cgRjzzq) {
		CgRjzzqVO cgRjzzqVO = Objects.requireNonNull(BeanUtil.copyProperties(cgRjzzq, CgRjzzqVO.class));

		//User createUser = UserCache.getUser(cgRjzzq.getCreateUser());
		//User updateUser = UserCache.getUser(cgRjzzq.getUpdateUser());
		//cgRjzzqVO.setCreateUserName(createUser.getName());
		//cgRjzzqVO.setUpdateUserName(updateUser.getName());

		return cgRjzzqVO;
	}


}
